package dk.nsi.dds.projects.sxa.common.configuration;

public enum SXAConfigKeys {
    REQUEST_TIMEOUT_SECONDS("sxa.labservice.request.timeout.seconds"),
    ENDPOINT_URL("sxa.labservice.endpoint"),
    WSDL_URL("sxa.labservice.wsdl"),
    ROOT_ID("sxa.document.unique.root.id"),
    USERNAME("sxa.labservice.request.username"),
    PASSWORD("sxa.labservice.request.password"),
    SAMTYKKE_KODE("sxa.labservice.request.samtykkekode"),
    SAMTYKKE_TEKST("sxa.labservice.request.samtykketekst"),
    SLUTBRUGER_IDENTIFIKATION("sxa.labservice.request.slutbruger.identifikation"),
    SLUTBRUGER_ORGANISATION("sxa.labservice.request.slutbruger.organisation"),
    SLUTBRUGER_CPR("sxa.labservice.request.slutbruger.cpr"),
    SLUTBRUGER_FORNAVN("sxa.labservice.request.slutbruger.fornavn"),
    SLUTBRUGER_EFTERNAVN("sxa.labservice.request.slutbruger.efternavn"),
    SLUTBRUGER_STILLING("sxa.labservice.request.slutbruger.stilling"),
    SLUTBRUGER_EMAIL("sxa.labservice.request.slutbruger.email"),
    SLUTBRUGER_ROLLE("sxa.labservice.request.slutbruger.rolle"),
    SLUTBRUGER_AUTORISATIONSKODE("sxa.labservice.request.slutbruger.autorisationskode"),
    SXA_SERVICECHECK_FAILURE_THRESHOLD("sxa.labservice.servicecheck.failurethreshold"),
    SXA_HEADERS("sxa.labservice.headers"),
    SXA_LOGRECORD_INBOUND_HEADER_NAME("sxa.labservice.logrecord.inbound.header.name"),
    SXA_LOGRECORD_OUTBOUND_HEADER_NAME("sxa.labservice.logrecord.outbound.header.name"),
    SXA_CREDENTIAL_HEADER("sxa.labservice.credential.header"),
    SXA_CREDENTIAL("sxa.labservice.credential");

    private String key;

    private SXAConfigKeys(String key) {
        this.key = key;
    }

    public String toString() {
        return key;
    }
}
