/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (SDS), Denmark
 * (http://sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (SDS), Denmark (http://sundhedsdatastyrelsen.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.common.xds.constants;

public class XdsConstants {
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_TYPECODE = QueryParameter.DOC_ENTRY_TYPE_CODE; //"$XDSDocumentEntryTypeCode";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_PRACTICESETTINGCODE = QueryParameter.DOC_ENTRY_PRACTICE_SETTING_CODE; // "$XDSDocumentEntryPracticeSettingCode";
//  
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_CREATIONTIME_FROM = QueryParameter.DOC_ENTRY_CREATION_TIME_FROM; //"$XDSDocumentEntryCreationTimeFrom";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_CREATIONTIME_TO =QueryParameter.DOC_ENTRY_CREATION_TIME_TO; // "$XDSDocumentEntryCreationTimeTo";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_SERVICESTARTTIME_FROM = QueryParameter.DOC_ENTRY_SERVICE_START_TIME_FROM; //"$XDSDocumentEntryServiceStartTimeFrom";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_SERVICESTARTTIME_TO = QueryParameter.DOC_ENTRY_SERVICE_START_TIME_TO; //"$XDSDocumentEntryServiceStartTimeTo";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_SERVICESTOPTIME_FROM = QueryParameter.DOC_ENTRY_SERVICE_STOP_TIME_FROM; //"$XDSDocumentEntryServiceStopTimeFrom";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_SERVICESTOPTIME_TO = QueryParameter.DOC_ENTRY_SERVICE_STOP_TIME_TO; //"$XDSDocumentEntryServiceStopTimeTo";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_HEALTHCAREFACILITYTYPECODE = QueryParameter.DOC_ENTRY_HEALTHCARE_FACILITY_TYPE_CODE; //"$XDSDocumentEntryHealthcareFacilityTypeCode";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_EVENTCODELIST = QueryParameter.DOC_ENTRY_EVENT_CODE; //"$XDSDocumentEntryEventCodeList";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_CONFIDENTIALITYCODE = QueryParameter.DOC_ENTRY_CONFIDENTIALITY_CODEM; //"$XDSDocumentEntryConfidentialityCode";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_AUTHORPERSON = QueryParameter.DOC_ENTRY_AUTHOR_PERSON; //"$XDSDocumentEntryAuthorPerson";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_FORMATCODE = QueryParameter.DOC_ENTRY_FORMAT_CODE; //"$XDSDocumentEntryFormatCode";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_STATUS = QueryParameter.DOC_ENTRY_STATUS; //"$XDSDocumentEntryStatus";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_DOC_ENTRY_STATUS_APPROVED = XdsDocumentEntryConstants.XDS_DOCUMENTENTRY_STATUS_APPROVED;
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_DOC_ENTRY_STATUS_DEPRECATED = XdsDocumentEntryConstants.XDS_DOCUMENTENTRY_STATUS_DEPRECATED;
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_PARAM_SLOT_NAME_DOC_ENTRY_TYPE = "$XDSDocumentEntryType";
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_DOC_ENTRY_TYPE_STABLE_DOCUMENT = XdsDocumentEntryConstants.XDS_DOCUMENTENTRY_OBJ_TYPE_STABLE_DOCUMENT;
//  public final static QueryParameter XDS_REGISTRY_STORED_QUERY_DOC_ENTRY_TYPE_ONDEMAND_DOCUMENT = XdsDocumentEntryConstants.XDS_DOCUMENTENTRY_OBJ_TYPE_ONDEMAND_DOCUMENT;
  // Types
  public final static String XDS_DTM_FORMAT = "yyyyMMddHHmmss";
//  //
//  // Error handling and status
//  //
//  public static final String XDS_RESPONSESTATUSTYPE_SUCCESS = "urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:Success";
//  public static final String XDS_RESPONSESTATUSTYPE_PARTIALSUCCESS = "urn:ihe:iti:2007:ResponseStatusType:PartialSuccess";
//  public static final String XDS_RESPONSESTATUSTYPE_FAILURE = "urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:Failure";
//  public static final String XDS_ERRORSEVERITYTYPE_ERROR = "urn:oasis:names:tc:ebxml-regrep:ErrorSeverityType:Error";
//  public static final String XDS_ERRORSEVERITYTYPE_WARNING = "urn:oasis:names:tc:ebxml-regrep:ErrorSeverityType:Warning";
//  public static final String XDS_ERRORCODE_XDSMISSINGHOMECOMMUNITYID = "XDSMissingHomeCommunityId";
//  public static final String XDS_ERRORCODE_XDSREGISTRYBUSY = "XDSRegistryBusy";
//  public static final String XDS_ERRORCODE_XDSREGISTRYERROR = "XDSRegistryError";
//  public static final String XDS_ERRORCODE_XDSREGISTRYOUTOFRESOURCES = "XDSRegistryOutOfResources";
//  public static final String XDS_ERRORCODE_XDSRESULTNOTSINGLEPATIENT = "XDSResultNotSinglePatient";
//  public static final String XDS_ERRORCODE_XDSSTOREDQUERYMISSINGPARAM = "XDSStoredQueryMissingParam";
//  public static final String XDS_ERRORCODE_XDSSTOREDQUERYPARAMNUMBER = "XDSStoredQueryParamNumber";
//  public static final String XDS_ERRORCODE_XDSTOOMANYRESULTS = "XDSTooManyResults";
//  public static final String XDS_ERRORCODE_XDSUNAVAILABLECOMMUNITY = "XDSUnavailableCommunity";
//  public static final String XDS_ERRORCODE_XDSUNKNOWNCOMMUNITY = "XDSUnknownCommunity";
//  public static final String XDS_ERRORCODE_XDSUNKNOWNPATIENTID = "XDSUnknownPatientId";
//  public static final String XDS_ERRORCODE_XDSUNKNOWNSTOREDQUERY = "XDSUnknownStoredQuery";
//  // Document retrieve error codes
//  public static final String XDS_ERRORCODE_XDSDOCUMENTUNIQUEIDERROR = "XDSDocumentUniqueIdError";
//  public static final String XDS_ERRORCODE_XDSREPOSITORYBUSY = "XDSRepositoryBusy";
//  public static final String XDS_ERRORCODE_XDSREPOSITORYERROR = "XDSRepositoryError";
//  public static final String XDS_ERRORCODE_XDSUNKNOWNREPOSITORYID = "XDSUnknownRepositoryId";
//  public static final String XDS_ERRORCODE_XDSREPOSITORYOUTOFRESOURCES = "XDSRepositoryOutOfResources";
//  // These are conventions rather than XDS standardized strings
	public static final String XDS_REGISTRYERROR_CODECONTEXT_HOME_COMMUNITY_ID = "Home Community Id: ";
	public static final String XDS_REGISTRYERROR_CODECONTEXT_REPOSITORY_UNIQUE_ID = "Repository Unique Id: ";
	public static final String XDS_REGISTRYERROR_CODECONTEXT_DOCUMENT_UNIQUE_ID = "Document Unique Id: ";
}
