package dk.nsi.dds.projects.sxa.documentmetadataprovider.impl;

import static org.junit.Assert.assertNotNull;

import java.net.MalformedURLException;

import javax.inject.Inject;

import org.jglue.cdiunit.CdiRunner;
import org.junit.Test;
import org.junit.runner.RunWith;

import dk.nsi.common.util.SLALogItemFactory;
import dk.nsi.dds.projects.sxa.common.PracticeSettingCodesMappingConfiguration;
import dk.nsi.dds.projects.sxa.common.util.xmlhandling.XStreamFileException;
import dk.nsi.dds.projects.sxa.documentmetadataprovider.configuration.MetadataConfiguration;

@RunWith(CdiRunner.class)
public class ConfigurationLoaderTest {
	
	@Inject ConfigurationLoader configurationLoader;	
	@Inject MetadataConfiguration metadataConfiguration;
	@Inject PracticeSettingCodesMappingConfiguration practiceSettingCodesConfigurationHandler;
	@Inject SLALogItemFactory sLALogItemFactory;
	
	@Test
	public void testConfigurationLoader() throws XStreamFileException, MalformedURLException {	
		assertNotNull("Kan ikke finde ConfigurationLoader", configurationLoader);
		assertNotNull("Kan ikke finde MetadataConfiguration", metadataConfiguration);
		assertNotNull("Kan ikke finde PracticeSettingCodesConfigurationHandler", practiceSettingCodesConfigurationHandler);
		assertNotNull("Kan ikke finde SLALogItemFactory", sLALogItemFactory);
	}
}
