package dk.nsi.dds.projects.sxa.documentprovider.impl;

import static org.junit.Assert.assertNotNull;

import java.io.IOException;

import javax.inject.Inject;
import javax.xml.bind.JAXBContext;

import org.jglue.cdiunit.CdiRunner;
import org.junit.Test;
import org.junit.runner.RunWith;

import dk.nsi.common.servicestatuscheck.ServiceStatusCheckBean;
import dk.nsi.common.util.SLALogItemFactory;
import dk.nsi.dds.projects.sxa.common.PracticeSettingCodesMappingConfiguration;
import dk.nsi.dds.projects.sxa.common.util.xmlhandling.XStreamFileException;
import dk.nsi.dds.projects.sxa.documentprovider.context.HttpHeaderContext;
import dk.nsi.dds.projects.sxa.documentprovider.invoker.GetDataFromPeriodParametersFactory;
import dk.nsi.util.Config;

@RunWith(CdiRunner.class)
public class ConfigurationLoaderTest {
	
	@Inject ConfigurationLoader configurationLoader;	
	@Inject ProviderConfigurationHandler providerConfigurationHandler;
	@Inject PracticeSettingCodesMappingConfiguration practiceSettingCodesConfigurationHandler;
	@Inject Config config;
	//@Inject ISvarEksponering iSvarEksponering;
	@Inject GetDataFromPeriodParametersFactory getDataFromPeriodParametersFactory;
	@Inject JAXBContext jaxbContext;
	@Inject SLALogItemFactory sLALogItemFactory;
	@Inject ServiceStatusCheckBean serviceStatusCheckBean;
	@Inject HttpHeaderContext httpHeaderContext;
	
	//Not working as WebServiceContext is @Resource
	//@Inject WebServiceContext webServiceContext;
	
	@Test
	public void testConfigurationLoader() throws XStreamFileException, IOException {
		
//		URL url = new URL("file:./target/classes/wsdl/SvarEksponering.svc.wsdl");
//	    ISvarEksponering basicHttpBindingISvarEksponering = new SvarEksponering(url, new QName("http://cgi.com/SvarEksponering", "SvarEksponering")).getBasicHttpBindingISvarEksponering();

		assertNotNull("Kan ikke finde ConfigurationLoader", configurationLoader);
		assertNotNull("Kan ikke finde ProviderConfigurationHandler", providerConfigurationHandler);
		assertNotNull("Kan ikke finde PracticeSettingCodesConfigurationHandler", practiceSettingCodesConfigurationHandler);
		assertNotNull("Kan ikke finde Config", config);
		//assertNotNull("Kan ikke finde ISvarEksponering", iSvarEksponering);
		assertNotNull("Kan ikke finde GetDataFromPeriodParametersFactory", getDataFromPeriodParametersFactory);
		assertNotNull("Kan ikke finde JAXBContext", jaxbContext);
		assertNotNull("Kan ikke finde SLALogItemFactory", sLALogItemFactory);
		assertNotNull("Kan ikke finde ServiceStatusCheckBean", serviceStatusCheckBean);
		assertNotNull("Kan ikke finde HttpHeaderContext", httpHeaderContext);
		//assertNotNull("Kan ikke finde ConfigurationLoader",webServiceContext);		
	}
}
